Name:          enca
Version:       1.15
Release:       2mamba
Summary:       Enca detects the encoding of text files, on the basis of knowledge of their language. It can also convert them to other encodings
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://gitorious.org/enca
Source:        http://dl.cihar.com/enca/enca-%{version}.tar.bz2
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Enca detects the encoding of text files, on the basis of knowledge of their language. It can also convert them to other encodings, allowing you to recode files without knowing their current encoding. It supports most of Central and East European languages, and a few Unicode variants, independently on language. 

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
Enca detects the encoding of text files, on the basis of knowledge of their language. It can also convert them to other encodings, allowing you to recode files without knowing their current encoding. It supports most of Central and East European languages, and a few Unicode variants, independently on language. 
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-devel
Obsoletes:     %{name}-devel

%description -n lib%{name}-devel
Enca detects the encoding of text files, on the basis of knowledge of their language. It can also convert them to other encodings, allowing you to recode files without knowing their current encoding. It supports most of Central and East European languages, and a few Unicode variants, independently on language.
This package contains static libraries and header files needed for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%post -n lib%{name}
/sbin/ldconfig
:

%postun -n lib%{name}
/sbin/ldconfig
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/enca
%{_bindir}/enconv
%{_mandir}/man1/enca.1*
%{_mandir}/man1/enconv.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libenca.so.*
%dir %{_libexecdir}/enca
%dir %{_libexecdir}/enca/extconv
%{_libexecdir}/enca/extconv/cstocs
%{_libexecdir}/enca/extconv/map
%{_libexecdir}/enca/extconv/piconv
%{_libexecdir}/enca/extconv/recode
%{_libexecdir}/enca/extconv/umap

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}
%{_includedir}/*.h
%{_libdir}/libenca.a
%{_libdir}/libenca.la
%{_libdir}/libenca.so
%{_libdir}/pkgconfig/*.pc
#%dir %{_datadir}/gtk-doc/html/libenca
#%{_datadir}/gtk-doc/html/libenca/*
#%doc AUTHORS COPYING ChangeLog ChangeLog.prelib NEWS README README.devel
#%doc THANKS TODO

%changelog
* Fri Apr 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15-2mamba
- move library files to libenca and rename enca-devel to libenca-devel

* Mon Oct 07 2013 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic version update by autodist

* Sat Jul 21 2012 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- update to 1.13

* Sun Jun 07 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.9-1mamba
- package created by autospec
